Package io.milvus.connection

## Class QueryNodeListener

- java.lang.Object
- - io.milvus.connection.QueryNodeListener

- All Implemented Interfaces:
    `Listener`

      public class QueryNodeListener
      extends java.lang.Object
      implements Listener

  Send heartbeat for query nodes healthy check.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryNodeListener​(QueryNodeSingleSearch singleSearch)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Boolean` | `heartBeat​(ServerSetting serverSetting)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryNodeListener

          public QueryNodeListener​(QueryNodeSingleSearch singleSearch)

  - ### Method Detail

    - #### heartBeat

          public java.lang.Boolean heartBeat​(ServerSetting serverSetting)

      Specified by:
        `heartBeat` in interface `Listener`